"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearAngularCache = void 0;
const core_1 = require("@angular/core");
// Expose private cache variables
const depsTracker = core_1.ɵdepsTracker;
/**
 * Clears Angular DepsTracker cache
 */
const clearAngularCache = () => {
    depsTracker.ownerNgModule.clear();
    depsTracker.ngModulesWithSomeUnresolvedDecls.clear();
    depsTracker.ngModulesScopeCache.clear();
    depsTracker.standaloneComponentsScopeCache.clear();
};
exports.clearAngularCache = clearAngularCache;
//# sourceMappingURL=clear-angular-cache.js.map